FROM nextgenhealthcare/connect:3.8.1

ENV DATABASE=postgres
ENV DATABASE_MAX_CONNECTIONS=20
ENV DATABASE_MAX_RETRY=2
ENV DATABASE_RETRY_WAIT=10000
ENV VMOPTIONS=-Xmx512m
ENV _MP_HTTPS_SERVER_PROTOCOLS='TLSv1.3,TLSv1.2'
ENV SESSION_STORE=True

EXPOSE 8080
EXPOSE 8433
